package com.lzmispt.data.resource.fallback;

package .tmp;

import com.lzmispt.core.entity.dto.listdeletemodel.ListDeleteModelDTO;
import com.lzmispt.core.entity.dto.querymodel.QueryModelDTO;
import com.lzmispt.data.center.entity.dto.databasestruct.DBTableDTO;
import com.lzmispt.data.center.entity.dto.databasestruct.DataSourceDTO;
import com.lzmispt.data.center.entity.dto.querymodel.DCQueryModelDTO;
import com.lzmispt.data.center.entity.dto.resource.metadata.GetEntityByDataSourceIdDTO;
import com.lzmispt.data.center.entity.dto.standard.codetable.MetadataCommonCodeItemQueryDTO;
import com.lzmispt.data.center.entity.dto.standard.metadata.BatchSaveMetadataValueFieldDTO;
import com.lzmispt.data.center.entity.dto.standard.metadata.CheckEntityTableNameExistDTO;
import com.lzmispt.data.center.entity.dto.standard.metadata.FieldDefaultPropertyDTO;
import com.lzmispt.data.center.entity.dto.standard.metadata.GetDirByUseTypeDTO;
import com.lzmispt.data.center.entity.dto.standard.metadata.ImportMedataEntityDTO;
import com.lzmispt.data.center.entity.dto.standard.metadata.MetadataEntityDataItemDTO;
import com.lzmispt.data.center.entity.dto.standard.metadata.MetadataTypeParamDTO;
import com.lzmispt.data.center.entity.dto.standard.metadata.SaveMetadataPropertyDTO;
import com.lzmispt.data.center.entity.dto.standard.metadata.SaveMetadataValueEntityDTO;
import com.lzmispt.data.center.entity.dto.standard.metadata.SaveMetadataValueEntityFieldDTO;
import com.lzmispt.data.center.entity.dto.standard.rule.ChooseRuleConfigDTO;
import com.lzmispt.data.center.entity.dto.standard.tag.GetDataIdListDTO;
import com.lzmispt.data.center.entity.dto.standard.tag.GetTagDataViewDataIdsQueyDTO;
import com.lzmispt.data.center.entity.dto.standard.tag.MergeTagDTO;
import com.lzmispt.data.center.entity.dto.standard.tag.SaveTabDTO;
import com.lzmispt.data.center.entity.dto.standard.tag.SaveTagDataRelationDTO;
import com.lzmispt.data.center.entity.dto.standard.tag.TagDTO;
import com.lzmispt.data.center.entity.dto.standard.tag.UpdateTagMsg;
import com.lzmispt.data.center.entity.dto.version.SaveVersionContentDTO;
import com.lzmispt.data.center.entity.vo.fieldrelationpage.SystemFieldRelationPageConfigVO;
import com.lzmispt.data.center.entity.vo.resource.datasource.DataSourceVO;
import com.lzmispt.data.center.entity.vo.resource.file.FileInfoTableVO;
import com.lzmispt.data.center.entity.vo.resource.metadata.MetadataEntityBasicInfoVO;
import com.lzmispt.data.center.entity.vo.standard.codetable.MetadataCommonCodeItemVO;
import com.lzmispt.data.center.entity.vo.standard.codetable.MetadataCommonCodeVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.DataItemUsedVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.EntityPublishType;
import com.lzmispt.data.center.entity.vo.standard.metadata.MetadataClasssVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.MetadataDataItemTypeVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.MetadataElementConfigVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.MetadataEntityDataItemVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.MetadataEntityWithElementVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.MetadataFieldWithElementVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.MetadataItemAndValueVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.MetadataItemVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.MetadataPropertyVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.MetadataTypeVO;
import com.lzmispt.data.center.entity.vo.standard.rule.RuleConfigVO;
import com.lzmispt.data.center.entity.vo.standard.rule.RuleInstanceVO;
import com.lzmispt.data.center.entity.vo.standard.tag.TagDataRelationVO;
import com.lzmispt.data.center.entity.vo.standard.tag.TagDataViewVO;
import com.lzmispt.data.center.entity.vo.standard.version.VersionContentVO;
import com.lzmispt.data.center.entity.vo.tag.TagVO;
import com.lzmispt.data.resource.client.DataStandardClient;
import com.lzmispt.data.resource.entity.dto.datasync.SelectTablesByDataSourceIdDTO;
import com.lzmispt.data.resource.entity.po.metadata.MetadataElementConfigPO;
import com.lzmispt.framework.entity.entity.ResultEntity;
import java.util.List;
import java.util.Map;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

@Component
public class DataStandardClientFallBack implements DataStandardClient {
  public ResultEntity<MetadataEntityDataItemVO> getMetadataEntityDataItemById(Long dataItemId, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<MetadataEntityDataItemVO> updateMetadataEntityDataItem(MetadataEntityDataItemDTO metadataEntityDataItemDTO, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<MetadataEntityDataItemVO> addMetadataEntityDataItem(MetadataEntityDataItemDTO metadataEntityDataItemDTO, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<MetadataTypeVO> getMetadataTypeByDataTypeName(String dataTypeName, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Boolean> deleteMetadataEntityDataItemByIds(List<Long> dataItemIds, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<MetadataEntityDataItemVO>> getMetadataEntityDataItemByIds(List<Long> dataItemIds, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<MetadataCommonCodeVO> getMetadataCommonCodeById(Long codeTableId, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<MetadataTypeVO>> getMetadataTypeList(String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<MetadataTypeVO> getMetadataTypeByDbDataTypeName(MetadataTypeParamDTO metadataTypeParamDTO, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<MetadataEntityDataItemVO> updateMetadataEntityDataItemNotVerify(MetadataEntityDataItemDTO metadataEntityDataItemDTO, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<MetadataCommonCodeItemVO>> getCommonCodeItemsByCodeTableId(MetadataCommonCodeItemQueryDTO metadataCommonCodeItemQueryDTO, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Boolean> checkDataItemNameIsExist(MetadataEntityDataItemDTO metadataEntityDataItemDTO, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<FileInfoTableVO> getFileTableByDirId(Long directoryId, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<MetadataEntityDataItemVO> addMetadataEntityDataItemNotVerify(MetadataEntityDataItemDTO metadataEntityDataItemDTO, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<MetadataEntityDataItemVO> addMetadataEntityDataItemDataSync(MetadataEntityDataItemDTO metadataEntityDataItemDTO, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Boolean> batchAddMetadataEntityDataItemList(List<MetadataEntityDataItemDTO> metadataEntityDataItemDTOList, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<MetadataDataItemTypeVO> getMetadataDataItemTypeByCode(String typeCode, int type, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<MetadataEntityDataItemVO> getDataItemByNameAndTypeName(String itemName, String typeName, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<MetadataEntityDataItemVO> getDataItemByNameAndType(String itemName, String dataItemType, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Boolean> updateInstanceCount(Long dataItemId, boolean isAdd, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Boolean> updateSyncInstanceCount(Long dataItemId, boolean isAdd, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Boolean> updateMetadataEntityDataItemDataRange(MetadataEntityDataItemDTO metadataEntityDataItemDTO, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<Long>> getWorkerIdList(Integer count) {
    return null;
  }
  
  public ResultEntity<List<MetadataEntityDataItemVO>> getMetadataEntityDataItemListByQuery(List<ListDeleteModelDTO> filterModelList, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<MetadataCommonCodeVO> getCommonCodeByName(String codeName, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<MetadataCommonCodeVO> getMetadataCommonCodeByTableCode(String tableCode, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Boolean> saveRuleInstance(ChooseRuleConfigDTO param, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<String>> getRuleConfigNames(List<Long> ids, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<RuleConfigVO>> getAllRuleConfigNameAndScope(String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Boolean> deleteRuleInstanceByFieldId(Long fieldId, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<RuleInstanceVO>> getRuleInstanceByFieldId(Long fieldId, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<RuleConfigVO>> getRuleConfigsByListCondition(ListDeleteModelDTO param, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<MetadataEntityDataItemVO> getMetadataEntityDataItemByDataItemCode(String dataItemCode, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Integer> getMaxLevelByCodeTableId(String codeTableId, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<MetadataDataItemTypeVO>> getMetadataDataItemTypeByCodeList(List<String> codeList, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<MetadataCommonCodeVO>> getMetadataCommonCodeByIds(List<Long> codeTableIds, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Integer> getDataItemCount(String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<DataSourceVO> getDataSourceInfoDoNotDecryptById(Long dataSourceId, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<DataSourceVO> getDataSourceInfoDoNotDecryptByIdNotTokenId(Long dataSourceId, String platCode) {
    return null;
  }
  
  public ResultEntity<List<DBTableDTO>> getTablesByDataSourceId(String platCode, String tokenId, SelectTablesByDataSourceIdDTO selectTablesByDataSourceIdDTO) {
    return null;
  }
  
  public ResultEntity<List<String>> getDataBaseNameList(DataSourceDTO dataSourceDTO, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<DataSourceVO> getPlaintextDataSourceById(Long dataSourceId, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<DataSourceVO>> getDataSourceListByIds(List<Long> ids, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Boolean> saveMetadataValueEntityField(SaveMetadataValueEntityFieldDTO saveMetadataValueEntityFieldDTO, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<MetadataElementConfigPO>> getMetadataElementConfigByType(String type, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<MetadataElementConfigPO>> getMetadataElementConfigSysByType(String type, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<MetadataItemVO>> getMetadataValueEntityFieldPropertyList(Long directoryId, Long entityId, Integer dataCategory, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Integer> getFieldNameOrderMax(Long entityId, Integer categoryType, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<MetadataItemAndValueVO> getMetadataValueEntityField(DCQueryModelDTO queryModelDTO, Long directoryId, Long entityId, Integer dataCategory, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<MetadataItemAndValueVO> getFieldsQueryWithVersionChange(DCQueryModelDTO queryModelDTO, Long directoryId, Long entityId, Integer dataCategory, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<RuleConfigVO>> getRuleConfigByIds(List<Long> ids, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<MetadataItemVO>> getCommonElementConfig(String categoryCode, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<MetadataEntityWithElementVO> saveEntity(SaveMetadataValueEntityDTO param, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Boolean> checkEntityTableNameExist(CheckEntityTableNameExistDTO checkEntityTableNameExistDTO, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<MetadataEntityWithElementVO> getEntityWithElementByDirectoryId(Long directoryId, Integer dataCategory, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<MetadataEntityWithElementVO> getEntityWithElementByDirectoryId(Long directoryId, Integer versionType, Integer dataCategory, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Boolean> deleteFieldByIds(List<Long> fieldIds, Integer dataCategory, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<MetadataEntityWithElementVO> getEntityWithElementByEntityId(Long entityId, Integer dataCategory, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<MetadataEntityWithElementVO> getEntityWithVersionChangeByEntityId(Long entityId, Integer dataCategory, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<MetadataClasssVO>> getMetadataClassInfo(String categoryCode, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Boolean> deleteEntityById(Long entityId, Integer dataCategory, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<MetadataFieldWithElementVO>> getFieldWithElementByIds(List<Long> fieldIds, Integer dataCategory, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<MetadataFieldWithElementVO>> saveFields(BatchSaveMetadataValueFieldDTO param, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Boolean> deleteFieldByEntityId(Long entityId, Integer dataCategory, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<TagDataViewVO>> getTagDataViewDataIds(GetTagDataViewDataIdsQueyDTO getTagDataViewDataIdsQueyDTO, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<TagDataRelationVO>> selectTagDataRelationVOByQueryCondition(DCQueryModelDTO dcQueryModelDTO, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Boolean> deleteTagDataRelation(Long objId, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<TagVO> saveTab(SaveTabDTO saveTabDTO, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<MetadataItemAndValueVO> getFieldWithElementBySelect(ListDeleteModelDTO selectIds, Long entityId, Integer dataCategory, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Boolean> updateTagDataRelation(UpdateTagMsg updateTagMsg, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<DataItemUsedVO>> getFieldsByDataItemId(Map<String, String> param, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Map<Long, Long>> getEntityIdsByDirectoryIds(List<Long> ids, Integer dataCategory, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Map<Long, Map>> getEntityWithDirIdByDirectoryIds(List<Long> ids, Integer dataCategory, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Map<Long, String>> getApplyDirectoryIds(List<String> entityId, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Map<Long, Long>> getDirectoryIdsByEntityIds(List<Long> ids, Integer dataCategory, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Boolean> deleteTagDataRelationByDataId(String dataId, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<Long>> getDirIdByUseType(String platCode, String tokenId, @RequestBody GetDirByUseTypeDTO getDirByUseTypeDTO) {
    return null;
  }
  
  public ResultEntity<Boolean> saveVersionDraftContent(String platCode, String tokenId, List<SaveVersionContentDTO> saveVersionContentDTOS) {
    return null;
  }
  
  public ResultEntity<Map<Long, FieldDefaultPropertyDTO>> getFieldDefaultPropertyByBusinessIds(List<Long> ids, Integer dataCategory, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Map<Long, Long>> getBusinessIdsByDirectoryIds(List<Long> ids, Integer dataCategory, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Boolean> delVersionDraftContent(String platCode, String tokenId, List<Long> dataItemIds) {
    return null;
  }
  
  public ResultEntity<List<MetadataPropertyVO>> saveDataFieldMetadataProperty(List<SaveMetadataPropertyDTO> saveMetadataPropertyList, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<MetadataElementConfigVO>> getMetadataElementConfigList(QueryModelDTO queryModelDTO, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<MetadataPropertyVO>> getMetadataPropertyByEntityId(String entityId, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Integer> getCodeTableCount(String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Integer> getAllFieldCount(String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Integer> getFieldCountByEntityIds(List<Long> entityIds, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<MetadataItemVO>> getAllMetadataItems(Long entityId, Long directoryId, Integer dataCategory, Integer useType, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<VersionContentVO>> getVersionContentVOList(QueryModelDTO queryModelDTO, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<EntityPublishType>> getEntityPublishType(String platCode, String tokenId, Integer dataCategory, List<Long> entityIds) {
    return null;
  }
  
  public ResultEntity<Map<Long, Long>> getAllowImportDirs(String platCode, String tokenId, Integer dataCategory, List<Long> directoryIds) {
    return null;
  }
  
  public ResultEntity<List<MetadataFieldWithElementVO>> getFieldsByEntityId(Long entityId, Integer dataCategory, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<MetadataEntityWithElementVO> importStandardDataEntitiesWithLimitedMetadataProcessing(List<ImportMedataEntityDTO> importMedataEntityDTOS, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<VersionContentVO>> getVersionContentByDataItemIds(String platCode, String tokenId, List<Long> dataItems) {
    return null;
  }
  
  public ResultEntity<List<MetadataEntityBasicInfoVO>> getEntityBasicInfoListByPlatAndDataSourceId(GetEntityByDataSourceIdDTO param, Integer dataCategory, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<String>> getDataIdsByTagIds(GetDataIdListDTO getDataIdListDTO, String tokenId) {
    return null;
  }
  
  public ResultEntity<List<String>> getTagIds(TagDTO tagDTO, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Map<Long, String>> getAllTagNames(String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Map<Long, String>> getAllTagNames(String platCode, Integer getAiTag, String tokenId) {
    return null;
  }
  
  public ResultEntity<Map<String, Object>> saveTagDataRelation(SaveTagDataRelationDTO tagDataRelationDTO, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<MetadataEntityWithElementVO> getEntityByEntityCode(String entityCode, Integer dataCategory, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Map<String, List<String>>> getTabsByDataId(String dataId, Integer useType, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Boolean> mergeTags(MergeTagDTO mergeTagDTO, String platCode, String tokenId) {
    return null;
  }
  
  public ResultEntity<Map<Integer, List<SystemFieldRelationPageConfigVO>>> getFieldRelationPageConfig(List<Integer> types, String platCode, String tokenId) {
    return null;
  }
}
